Last Comment Bug 730065 - Allow sort by original post date
: Allow sort by original post date
Status: VERIFIED FIXED
u=contributor c=questions s=2012.4 p=1
:
Product: support.mozilla.org
Classification: Other
Component: Questions (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: 2012-03-06
Assigned To: Tanay Gavankar [:tgavankar]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 12:24 PST by Tanay Gavankar [:tgavankar]
Modified: 2012-03-01 10:32 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Tanay Gavankar [:tgavankar] 2012-02-23 12:24:34 PST
From bug 723011

We really need a sort order that is by date of original post which will make paging through threads easier and avoid missing any as other contributors are commenting and bumping stuff up.  

Do not change the default post date.

This is just the backend support (i.e. adding support for the additional ?sort= parameter).
Comment 1 Tanay Gavankar [:tgavankar] 2012-02-23 12:25:28 PST
By "default post date", I meant "default sort ordering".
Comment 2 Tanay Gavankar [:tgavankar] 2012-02-24 10:38:16 PST
Done in https://github.com/mozilla/kitsune/commit/953a77a.

Add ?sort=created to the url and it will do the sorting by question creation date rather than default.
Comment 3 Rebecca Billings [:rbillings] 2012-03-01 10:32:16 PST
Verified able to update view to sort by created date using the ?sort=created to the url

Note You need to log in before you can comment on or make changes to this bug.